<form [formGroup]= "editedFoodForm">
  <div class="create">
    <table class="test-width">
      <tr>
        <td>
          <md-input-container class="test-width">
            <input mdInput autocomplete="off" placeholder="Name" type="text"  formControlName="name" >
          </md-input-container>
        </td>
    </table>
    <table class="test-width" cellspacing="0">

      <tr>
        <td>
        <md-select placeholder="Type of food" formControlName="type">
          <md-option *ngFor="let foodType of foodTypes" [value]="foodType">
           {{foodType}}
          </md-option>
        </md-select>
          <!--<md-select placeholder="Food type"  formControlName="type" required>
    <md-option *ngFor="let foodType of selectFoodTypesCreateDropdown" [value]="foodType.value" > {{foodType.viewValue}} </md-option>
  </md-select>-->
        </td>
        <td>
          <md-input-container class="test-width">
            <input mdInput autocomplete="off" placeholder="Description" type="text" formControlName="description">
          </md-input-container>
        </td>
        <td>
          <md-input-container class="test-width">
            <input mdInput autocomplete="off" placeholder="Price" type="text" formControlName="price">
          </md-input-container>
        </td>
        <td>
        <button md-mini-fab type="submit" (click)="submit()" [disabled]="isSame()" mdTooltip='Submit changes'>
      <md-icon class="white-font">check</md-icon>
    </button>
      </td>
        <td>
          <button md-mini-fab (click)="cancel()" mdTooltip='Discard changes'>
      <md-icon class="white-font">cancel</md-icon>
    </button>
        </td>
    </table>
  </div>
</form>

